/*
 * Sheet.h
 *
 *  Created on: 2009-07-10
 *      Author: wasyl
 */

#ifndef SHEET_H_
#define SHEET_H_

#include <allegro5/allegro.h>
#include <vector>

class Sheet
{
private:
	ALLEGRO_BITMAP *mBase;
	std::vector<ALLEGRO_BITMAP*> mTiles;
	int mTileWidth, mTileHeight;

public:
	Sheet(const char *filename);
	~Sheet();

	ALLEGRO_BITMAP *get(int no) { return mTiles[no]; }
};

#endif /* SHEET_H_ */
